Bug 1282259 - blivet.errors.FormatCreateError: (FSError('format failed: 37',), '/dev/mapper/fedora-home')
blivet.errors.FormatCreateError: (FSError('format failed: 37',), '/dev/mapper...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:f115214ef31c7ac6a3489b31ea7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 15:55 EST by Constantin
Modified: 2017-01-11 09:39 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-16 09:37:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (827.14 KB, text/plain)
2015-11-15 15:56 EST, Constantin
no flags Details
File: anaconda.log (30.29 KB, text/plain)
2015-11-15 15:56 EST, Constantin
no flags Details
File: environ (537 bytes, text/plain)
2015-11-15 15:56 EST, Constantin
no flags Details
File: journalctl (398.88 KB, text/plain)
2015-11-15 15:56 EST, Constantin
no flags Details
File: lsblk_output (2.70 KB, text/plain)
2015-11-15 15:56 EST, Constantin
no flags Details
File: nmcli_dev_list (2.51 KB, text/plain)
2015-11-15 15:56 EST, Constantin
no flags Details
File: os_info (518 bytes, text/plain)
2015-11-15 15:56 EST, Constantin
no flags Details
File: program.log (80.80 KB, text/plain)
2015-11-15 15:56 EST, Constantin
no flags Details
File: storage.log (270.74 KB, text/plain)
2015-11-15 15:56 EST, Constantin
no flags Details
File: ifcfg.log (8.45 KB, text/plain)
2015-11-15 15:56 EST, Constantin
no flags Details

  None (edit)
Description Constantin 2015-11-15 15:55:18 EST
Version-Release number of selected component:
anaconda-core-23.19.10-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/formats/fs.py", line 380, in _create
    raise FormatCreateError(e, self.device)
  File "/usr/lib/python3.4/site-packages/blivet/formats/__init__.py", line 388, in create
    self._create(**kwargs)
  File "/usr/lib/python3.4/site-packages/blivet/deviceaction.py", line 590, in execute
    options=self.device.formatArgs)
  File "/usr/lib/python3.4/site-packages/blivet/actionlist.py", line 280, in process
    action.execute(callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 380, in processActions
    callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 164, in doIt
    self.devicetree.processActions(callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1096, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 195, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
blivet.errors.FormatCreateError: (FSError('format failed: 37',), '/dev/mapper/fedora-home')

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   initrd=/ubninit root=live:UUID=423E-407F rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=/ubnkern 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Constantin 2015-11-15 15:56:19 EST
Created attachment 1094605 [details]
File: anaconda-tb
Comment 2 Constantin 2015-11-15 15:56:23 EST
Created attachment 1094606 [details]
File: anaconda.log
Comment 3 Constantin 2015-11-15 15:56:26 EST
Created attachment 1094607 [details]
File: environ
Comment 4 Constantin 2015-11-15 15:56:32 EST
Created attachment 1094608 [details]
File: journalctl
Comment 5 Constantin 2015-11-15 15:56:34 EST
Created attachment 1094609 [details]
File: lsblk_output
Comment 6 Constantin 2015-11-15 15:56:36 EST
Created attachment 1094610 [details]
File: nmcli_dev_list
Comment 7 Constantin 2015-11-15 15:56:37 EST
Created attachment 1094611 [details]
File: os_info
Comment 8 Constantin 2015-11-15 15:56:41 EST
Created attachment 1094612 [details]
File: program.log
Comment 9 Constantin 2015-11-15 15:56:52 EST
Created attachment 1094613 [details]
File: storage.log
Comment 10 Constantin 2015-11-15 15:56:55 EST
Created attachment 1094614 [details]
File: ifcfg.log
Comment 11 David Shea 2015-11-16 09:37:45 EST
Your drive appears to be failing. There are lot of messages in logs along the lines of

Nov 15 15:38:33 localhost kernel: sd 0:0:0:0: [sda] tag#24 FAILED Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov 15 15:38:33 localhost kernel: sd 0:0:0:0: [sda] tag#24 Sense Key : Medium Error [current] [descriptor]
Nov 15 15:38:33 localhost kernel: sd 0:0:0:0: [sda] tag#24 Add. Sense: Unrecovered read error - auto reallocate failed
Nov 15 15:38:33 localhost kernel: sd 0:0:0:0: [sda] tag#24 CDB: Read(10) 28 00 3a 38 2f f0 00 00 08 00
Nov 15 15:38:33 localhost kernel: blk_update_request: I/O error, dev sda, sector 976760816
Nov 15 15:38:33 localhost kernel: ata1: EH complete
Comment 12 LiZhenbo 2015-12-16 23:24:05 EST
Another user experienced a similar problem:

Trying to install Fedora23 on SSD

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/syslinux/vmlinuz0 root=live:LABEL=LIVE ro rd.live.image quiet rhgb rd.live.check
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.FormatCreateError: (FSError('format failed: 37',), '/dev/sdb2')
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 13 Eric Blake 2016-03-03 14:09:28 EST
Another user experienced a similar problem:

Trying to install F23 in a VM using the live image. I selected lvm layout, and wanted to completely erase a previous btfrs image living in the same storage


cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-WS-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-blivet-1.12.8-1.fc23.noarch, python3-libs-3.4.3-5.fc23.x86_64
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.FormatCreateError: (FSError('format failed: -9',), '/dev/mapper/fedora_rawhide64-root')
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 14 Reiner 2016-06-12 09:53:30 EDT
Another user experienced a similar problem:

System lost connection to new SSD everytime when mkfs is trying to format partition. Tried ext3 and ext4. With Knoppix 7.2 formatting has no issues. Installation of F23 requires fromating / so im hanging in a loop. Help please!

cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz0 initrd=initrd0.img root=live:CDLABEL=Fedora-Live-MATE-x86_64-23-10 rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64, python3-blivet-1.12.8-1.fc23.noarch
package:        anaconda-core-23.19.10-1.fc23.x86_64
packaging.log:  
product:        Fedora
reason:         blivet.errors.FormatCreateError: (FSError('format failed: 37',), '/dev/sda5')
release:        Fedora release 23 (Twenty Three)
version:        23
Comment 15 Joey Smith 2017-01-11 08:50:45 EST
Another user experienced a similar problem:

trying to install fedorawith custom partition swap, /, and boot

addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=FEDORA-S-23 quiet
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
package:        anaconda-23.19.10-1
product:        Fedora
reason:         blivet.errors.FormatCreateError: (FSError('format failed: 37',), '/dev/sda1')
release:        Cannot get release name.
version:        23
Comment 16 Joey Smith 2017-01-11 09:39:27 EST
Another user experienced a similar problem:

simple install with custom partitions from amahi. also cannot instal normal fedora.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=FEDORA-S-23 quiet
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
package:        anaconda-23.19.10-1
product:        Fedora
reason:         blivet.errors.FormatCreateError: (FSError('format failed: 37',), '/dev/sda1')
release:        Cannot get release name.
version:        23

Note You need to log in before you can comment on or make changes to this bug.